Subject: Re: branch rebase and push

From: Jakub Narebski <[email-masked]>
Date: Tue, 19 Dec 2006 12:58:53 +0100

SungHyun Nam wrote:

> I'm sorry... but could you teach me how I publish the rebased branch?
> I think Junio does it for 'pu' branch.
> Is there recommended workflow? I cannot find.

Either have "Push:+refs/heads/br:refs/heads/br" in your
.git/remotes/<name> file, or it's equivalent config file
version, with '+' denoting that this branch sometimes does
not fast-forward.

Or use git push with --force option when you had rebased.

And of course the server you push to has to not have config variable 
receive.denyNonFastForwards set to true.
-- 
Jakub Narebski